Debian Bug report logs - #485085
PTS: please link to html policy upgrade checklist

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: picca frederic <picca@synchrotron-soleil.fr>

Date: Sun, 8 Jun 2008 07:42:02 UTC

Severity: wishlist

Fix blocked by 639663: upgrading-checklist on www.debian.org, links from it to debian-policy

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, picca@synchrotron-soleil.fr, <debian-qa@lists.debian.org>:
Bug#485085; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to picca frederic <picca@synchrotron-soleil.fr>:
New Bug report received and forwarded. Copy sent to picca@synchrotron-soleil.fr, <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: picca frederic <picca@synchrotron-soleil.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qa.debian.org: TODO page debian policy check list
Date: Sun, 08 Jun 2008 09:39:36 +0200
Package: qa.debian.org
Severity: normal

Hello

In the TODO "frame" of PTS you tell to the maintainer to upgrade there
package from policy version to version + n. Instead of pointing directly 
to the debian policy, could you link to another page with this debian
policy + the relevant policy check list for upgrading the package.

so it would be easier for maintainers to know what to do for the
policy upgrade of the package.

Thanks

Frederic

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#485085; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 485085@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: picca frederic <picca@synchrotron-soleil.fr>, 485085@bugs.debian.org
Cc: debian-policy@lists.debian.org
Subject: Re: Bug#485085: qa.debian.org: TODO page debian policy check list
Date: Sun, 8 Jun 2008 11:27:39 +0200
Hi,

On Sun, 08 Jun 2008, picca frederic wrote:
> In the TODO "frame" of PTS you tell to the maintainer to upgrade there
> package from policy version to version + n. Instead of pointing directly 
> to the debian policy, could you link to another page with this debian
> policy + the relevant policy check list for upgrading the package.
> 
> so it would be easier for maintainers to know what to do for the
> policy upgrade of the package.

I don't think that there's a web variant of "upgrading-checklist.gz"
contained in the Debian policy.

If the Debian policy team accept maintaing such a web page (or if some
mechanism auto-update such a page in the web site), then we can probably
do that. Otherwise I'm not really in favor of this, such a a page
shouldn't be maintained by the PTS itself.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#485085; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 485085@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: picca frederic <picca@synchrotron-soleil.fr>, 485085@bugs.debian.org, debian-policy@lists.debian.org
Subject: Re: Bug#485085: qa.debian.org: TODO page debian policy check list
Date: Sun, 08 Jun 2008 18:07:41 -0700
Raphael Hertzog <hertzog@debian.org> writes:
> On Sun, 08 Jun 2008, picca frederic wrote:

>> In the TODO "frame" of PTS you tell to the maintainer to upgrade there
>> package from policy version to version + n. Instead of pointing
>> directly to the debian policy, could you link to another page with this
>> debian policy + the relevant policy check list for upgrading the
>> package.
>> 
>> so it would be easier for maintainers to know what to do for the
>> policy upgrade of the package.
>
> I don't think that there's a web variant of "upgrading-checklist.gz"
> contained in the Debian policy.

There is an HTML version of upgrading-checklist in the debian-policy
package source.  It's not currently shipped in the package, but we could
add it easily enough.  I'm not sure that it's any more useful than the
text version, though.  It's almost entirely a <pre> block.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#485085; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to picca <picca@synchrotron-soleil.Fr>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 485085@bugs.debian.org (full text, mbox):

From: picca <picca@synchrotron-soleil.Fr>
To: Russ Allbery <rra@debian.org>
Cc: Raphael Hertzog <hertzog@debian.org>, 485085@bugs.debian.org, debian-policy@lists.debian.org
Subject: Re: Bug#485085: qa.debian.org: TODO page debian policy check list
Date: Mon, 9 Jun 2008 09:52:30 +0200
On Sun, 08 Jun 2008 18:07:41 -0700
Russ Allbery <rra@debian.org> wrote:

> Raphael Hertzog <hertzog@debian.org> writes:
> > On Sun, 08 Jun 2008, picca frederic wrote:
> 
> >> In the TODO "frame" of PTS you tell to the maintainer to upgrade
> >> there package from policy version to version + n. Instead of
> >> pointing directly to the debian policy, could you link to another
> >> page with this debian policy + the relevant policy check list for
> >> upgrading the package.
> >> 
> >> so it would be easier for maintainers to know what to do for the
> >> policy upgrade of the package.
> >
> > I don't think that there's a web variant of "upgrading-checklist.gz"
> > contained in the Debian policy.
> 
> There is an HTML version of upgrading-checklist in the debian-policy
> package source.  It's not currently shipped in the package, but we
> could add it easily enough.  I'm not sure that it's any more useful
> than the text version, though.  It's almost entirely a <pre> block.
> 

The interesting part of the htlm version would be the link to the
debian policy sections at the end of each task of the checklist.

So it would be nice in the PTS to point to that checklist upgrade which
refer to the debian policy.

What do you think ?

Frederic




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#485085; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 485085@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: picca <picca@synchrotron-soleil.Fr>
Cc: Raphael Hertzog <hertzog@debian.org>, 485085@bugs.debian.org, debian-policy@lists.debian.org
Subject: Re: Bug#485085: qa.debian.org: TODO page debian policy check list
Date: Mon, 09 Jun 2008 10:55:57 -0700
picca <picca@synchrotron-soleil.Fr> writes:

> The interesting part of the htlm version would be the link to the debian
> policy sections at the end of each task of the checklist.
>
> So it would be nice in the PTS to point to that checklist upgrade which
> refer to the debian policy.

I agree that it would be nice, but currently we don't maintain such a list
in HTML with links to Debian Policy sections and doing so is somewhat
annoying right now.  I'm not sure that I'm willing to commit to doing
that, although I certainly agree that it would be nice to have.

The links should really be generated automatically somehow (and the
section numbers should be automatically resolved), but this is not at all
easy to do at the moment.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#485085; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to PICCA Frédéric-Emmanuel <frederic-emmanuel.picca@synchrotron-soleil.fr>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 485085@bugs.debian.org (full text, mbox):

From: PICCA Frédéric-Emmanuel <frederic-emmanuel.picca@synchrotron-soleil.fr>
To: "Russ Allbery" <rra@debian.org>
Cc: "Raphael Hertzog" <hertzog@debian.org>, <485085@bugs.debian.org>, <debian-policy@lists.debian.org>
Subject: RE : Bug#485085: qa.debian.org: TODO page debian policy check list
Date: Mon, 9 Jun 2008 21:29:28 +0200
> I agree that it would be nice, but currently we don't maintain such a list
> in HTML with links to Debian Policy sections and doing so is somewhat
> annoying right now.  I'm not sure that I'm willing to commit to doing
> that, although I certainly agree that it would be nice to have.

> The links should really be generated automatically somehow (and the
> section numbers should be automatically resolved), but this is not at all
> easy to do at the moment.

What about using asciidoc + a special macro to generate automatically thoses links ?

Frederic




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#485085; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 485085@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: PICCA Frédéric-Emmanuel <frederic-emmanuel.picca@synchrotron-soleil.fr>
Cc: Russ Allbery <rra@debian.org>, 485085@bugs.debian.org, debian-policy@lists.debian.org
Subject: Re: Bug#485085: qa.debian.org: TODO page debian policy check list
Date: Mon, 9 Jun 2008 21:54:55 +0200
On Mon, 09 Jun 2008, PICCA Frédéric-Emmanuel wrote:
> > I agree that it would be nice, but currently we don't maintain such a list
> > in HTML with links to Debian Policy sections and doing so is somewhat
> > annoying right now.  I'm not sure that I'm willing to commit to doing
> > that, although I certainly agree that it would be nice to have.
> 
> > The links should really be generated automatically somehow (and the
> > section numbers should be automatically resolved), but this is not at all
> > easy to do at the moment.
> 
> What about using asciidoc + a special macro to generate automatically thoses links ?

Feel free to volunteer for the task! Russ will gladly accept a patch for
it I guess. We always welcome help. :-)

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#485085; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to PICCA Frédéric-Emmanuel <frederic-emmanuel.picca@synchrotron-soleil.fr>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 485085@bugs.debian.org (full text, mbox):

From: PICCA Frédéric-Emmanuel <frederic-emmanuel.picca@synchrotron-soleil.fr>
To: "Raphael Hertzog" <hertzog@debian.org>
Cc: "Russ Allbery" <rra@debian.org>, <485085@bugs.debian.org>, <debian-policy@lists.debian.org>
Subject: RE : Bug#485085: qa.debian.org: TODO page debian policy check list
Date: Mon, 9 Jun 2008 23:20:36 +0200
> Feel free to volunteer for the task! Russ will gladly accept a patch for
> it I guess. We always welcome help. :-)

I have just check the source of the debian policy and it will not be easy...
Indeed the sections (ex 4.1) in all html files generated from the docbook files are not
numbered with ... numbers (aka 4.1) but are named the human way...
It would have be easier to generate files like this 
policy.html/{number}.{section}.html or even better all in one file policy.html with named references.

But I know nothing about docbook so I can not help reformating all the policy.
 
> Cheers,
See you

Frederic




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#485085; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 485085@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: PICCA Frédéric-Emmanuel <frederic-emmanuel.picca@synchrotron-soleil.fr>
Cc: "Raphael Hertzog" <hertzog@debian.org>, <485085@bugs.debian.org>, <debian-policy@lists.debian.org>
Subject: Re: RE : Bug#485085: qa.debian.org: TODO page debian policy check list
Date: Mon, 09 Jun 2008 15:18:34 -0700
PICCA Frédéric-Emmanuel <frederic-emmanuel.picca@synchrotron-soleil.fr>
writes:

>> Feel free to volunteer for the task! Russ will gladly accept a patch for
>> it I guess. We always welcome help. :-)
>
> I have just check the source of the debian policy and it will not be
> easy...  Indeed the sections (ex 4.1) in all html files generated from
> the docbook files are not numbered with ... numbers (aka 4.1) but are
> named the human way...  It would have be easier to generate files like
> this policy.html/{number}.{section}.html or even better all in one file
> policy.html with named references.
>
> But I know nothing about docbook so I can not help reformating all the
> policy.

Indeed, this is exactly why it's hard.  (Plus, it's DebianDoc-SGML, not
DocBook.)

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added blocking bug(s) of 485085: 639663 Request was from Giovanni Mascellani <gio@debian.org> to control@bugs.debian.org. (Mon, 29 Aug 2011 12:40:22 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 31 Oct 2012 07:00:18 GMT) Full text and rfc822 format available.

Changed Bug title to 'PTS: please link to html policy upgrade checklist' from 'qa.debian.org: TODO page debian policy check list' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 31 Oct 2012 07:00:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:21:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.